# UniTAP.dev.ports.modules.capturer.video.result_video

class ResultVideoObject(UniTAP.dev.modules.capturer.result_object.ResultObject):

Class `ResultVideoObject` inherited from class `ResultObject`. Class `ResultVideoObject` allows saving captured frames to image `save_image_to_file`. Also has all the `ResultObject` functionality.

def save_image_to_file( self, file_format: UniTAP.dev.ports.modules.internal_utils.image_formats.PictureFileFormat, path: str, index: int):

Saving selected video frame to file. Supported file formats describe in `PictureFileFormat`.

###### Arguments:

- file_format (`PictureFileFormat`) - file format
- path (str) - path to save
- index (int) - number of video frame in list

##### Inherited Members

UniTAP.dev.modules.capturer.result_object.ResultObject
  start_capture_time
  end_capture_time
  timestamp
  buffer
  clear